| PATCH | /api/notifications/read-all |
| GET | /api/notifications |
| PATCH | /api/notifications/:id/read |
Mark own notifications read
PATCH/api/notifications/read-all
Authentication: bearer token.
Permission: any signed-in user.
bash
curl -X PATCH "https://shellius.example.com/api/notifications/read-all" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }List own notifications
GET/api/notifications
Authentication: bearer token.
Permission: any signed-in user.
Query parameters
| Name | Type | Required | Notes |
|---|---|---|---|
isRead | boolean | No | |
page | number | No | Default 1. At least 1. |
limit | number | No | Default 25. 1–100. |
bash
curl -X GET "https://shellius.example.com/api/notifications" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }Mark one own notification read
PATCH/api/notifications/:id/read
Authentication: bearer token.
Permission: any signed-in user.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
bash
curl -X PATCH "https://shellius.example.com/api/notifications/{id}/read" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }